Library for publishing Flutter Web applications to https://flutter.su

An example of how your application will work on flutter.su: [https://app.flutter.su/1]

[license](https://github.com/dart-lang/stagehand/blob/master/LICENSE).

## Usage
###Adding a new app
- Authorize [https://flutter.su/myapp]
- Add a new application in controll panel.
- Create an rsa key to digitally sign on the site in controll app.
- Save the key in a safe place on your computer in file **public.pem**.

###pubspec.yaml
Added code:

```yaml
dev_dependencies:
  flutter2web: any
```

Added code (sample config):

```yaml
flutter2web:
  path_build: "build/web"
  key_id: 4
  path_rsa_public: "d:/secret/public.pem"
```

####Keys
**path_build** - relative path of web application build in your project;
**key_id** - you will receive the ID of the signing key when you create a new key on the site [https://flutter.su/myapp]
**path_rsa_public** - path to signature key file

###Build flutter web
Build a flutter web application using the command:
```
flutter build web
```

###Upload the application to the server
Run the command in the terminal
```
flutter pub run flutter2web:upload
```

##Problems, questions and suggestions
All questions can be sent to email: [contact@flutter.su]